
# David - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2
%define unstable 0
%else
%define unstable 0
%endif

%define lib_name_orig %mklibname kdepim
%define lib_major 2
%define lib_name %lib_name_orig%lib_major

Name: 		kdepim
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Person Information Management
Version:    3.1.3
Release:    22mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://kdepim.kde.org/
Epoch: 		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:     %name-%version.tar.bz2

Patch1:		kdepim-3.0-fix-kpilot-compile.patch.bz2
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2


Patch5:		kdepim-3.1-fix-compile.patch.bz2



# Laurent - 3.1-rc5-3mdk : fix disable ok button in resource dialogbox
Patch8:		kdepim-3.1-fix-ok-button-in-resource-dialogbox.patch.bz2


Patch9:		kdepim-3.1.1-fix-bug-57465.patch.bz2


BuildRoot: 	%_tmppath/%name-%version-%release-root


BuildRequires:	kdelibs-devel

%if %buildfor8_2
BuildRequires:	XFree86-devel flex byacc libpilot-link4 pam pilot-link-devel
%endif

%if %buildfor9_0 || %buildfor9_1 || %buildfor9_2
BuildRequires:  XFree86-devel flex byacc pam
%endif
%if %buildfor9_1
BuildRequires:	libmal0-devel >= 0.31-1mdk libncurses5-devel readline-devel
BuildRequires:	libpisock8-devel
%endif

%if %buildfor9_2
BuildRequires:	libmal-devel >= 0.31-1mdk libncurses-devel
BuildRequires:	readline-devel, pilot-link-devel
%endif



%if %buildfor9_1
BuildRequires: automake1.6
%endif


%if %buildfor9_2
BuildRequires: automake1.7
%endif



Requires:	kdepim-karm = %version-%release
Requires:	kdepim-knotes = %version-%release
Requires:	kdepim-kaddressbook = %version-%release
Requires:	kdepim-kpilot = %version-%release

%description
Information Management applications for the K Desktop Environment.
	- kaddressbook: The KDE addressbook application.
	- kandy: sync phone book entries between your cell phone and computer
         ("kandy" comes from "Handy", the german word used for a cellular)
	- korganizer: a calendar-of-events and todo-list manager
	- kpilot: to sync with your PalmPilot
	- kalarm: gui for setting up personal alarm/reminder messages
	- kalarmd: personal alarm/reminder messages daemon, shared by korganizer and
           kalarm.
	- kaplan: A shell for the PIM apps, still experimental.
	- karm: Time tracker.
	- kitchensync: Synchronisation framework, still under heavy development.
	- kfile-plugins: vCard KFIleItem plugin.
	- knotes: yellow notes application
	- konsolecalendar: Command line tool for accessing calendar files.




%package common
Summary:	Common files for kdepim
Group:		Development/KDE and Qt

Obsoletes: 	korganizer kpilot kdepim3
Provides:	korganizer kpilot kdepim3

# Who? - When? - Why?
Conflicts:	dynamic <= 0.3-2mdk

Conflicts:	kdeutils <= 2.2.2-28mdk

Requires:	%lib_name-common = %version-%release

# To remove
Obsoletes:	kdepim3.0 kdepim3

Obsoletes:	kdepim
Provides:	kdepim = %version-%release


%description common
Common files for kdepim

%package -n %lib_name-common-devel
Summary:	Devel stuff for kdepim
Group:		Development/KDE and Qt


Requires:	%lib_name-common = %version-%release
Obsoletes:	kdepim3-devel
Provides:	kdepim3-devel

Obsoletes:	%lib_name-devel
Provides:	%lib_name-devel = %version-%release

Obsoletes:	kdepim-devel
Provides:	kdepim-devel = %version-%release


%description -n %lib_name-common-devel
This package contains header files needed if you wish to build applications
based on kdepim.


%package -n %lib_name-common
Summary:	Librairie for kdepim
Group:		Development/KDE and Qt

Obsoletes:	%lib_name
Provides:	%lib_name = %version-%release
Conflicts:	kdepim <= 3.1-17mdk

%description -n %lib_name-common
This package contains header files needed if you wish to build applications
based on kdepim.


%package karm
Summary:	Karm programm
Group:		Development/KDE and Qt
Provides:	karm


%description karm
Karm package

%package knotes
Summary:	Knotes programm
Group:		Development/KDE and Qt
Provides:	knotes

%description knotes
Yellow notes application


%package kaddressbook
Summary:	Kaddressbook programm
Group:		Development/KDE and Qt
Provides:	kaddressbook
Requires:	%lib_name-common = %version-%release

%description kaddressbook
The KDE addressbook application.



%package korganizer
Summary:	Korganizer programm
Group:		Development/KDE and Qt
Provides:	korganizer, kalarm, kalarmd
Requires:	%lib_name-korganizer = %version-%release
Requires:   %lib_name-common = %version-%release

%description korganizer
A calendar-of-events and todo-list manager

%package -n %lib_name-korganizer
Summary:    Librairy for korganizer programm
Group:      Development/KDE and Qt

%description -n %lib_name-korganizer
Librairy for korganizer programm

%package -n %lib_name-korganizer-devel
Summary:    Devel files for korganizer programm
Group:      Development/KDE and Qt
Requires:	%lib_name-korganizer = %version-%release

%description -n %lib_name-korganizer-devel
Devel files for korganizer programm


%package kpilot
Summary:	Kpilot programm
Group:		Development/KDE and Qt
Requires:	%lib_name-kpilot = %version-%release
Provides:	kandy, kandy_client, kpilot, kpilotDaemon, ksync
Requires:   %lib_name-common = %version-%release

%description kpilot
To sync with your PalmPilot
Sync phone book entries between your cell phone and computer
("kandy" comes from "Handy", the german word used for a cellular)

%package -n %lib_name-kpilot
Summary:    Librairy for kpilot programm
Group:      Development/KDE and Qt

%description -n %lib_name-kpilot
Librairy for kpilot programm

%package -n %lib_name-kpilot-devel
Summary:    Devel files for kpilot programm
Group:      Development/KDE and Qt
Requires:	%lib_name-kpilot = %version-%release

%description -n %lib_name-kpilot-devel
Devel files for kpilot programm



%prep



%setup -q
#%patch1 -p1
#%patch5 -p1
%patch8 -p1
%patch9 -p1

%build

%if %buildfor9_1 || %buildfor9_2
make -f admin/Makefile.common cvs
%endif

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}
%{?__cputoolize: %{__cputoolize} -c libical}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
				--disable-debug \
%endif
		    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --enable-fast-install \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama 

%make



%install
rm -fr %buildroot
export PATH=%_bindir:$PATH
# David - 2.2-0.alpha2.2mdk - Don't strip when we are not in final release

%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot


# Create LMDK menu entries
install -d %buildroot/%_menudir/
# %%_datadir/applnk/Applications/
kdedesktop2mdkmenu.pl kdepim-korganizer "Office/Time management" %buildroot/%_datadir/applnk/Applications/korganizer.desktop %buildroot/%_menudir/kdepim-korganizer
kdedesktop2mdkmenu.pl kdepim-korganizer "Office/Time management" %buildroot/%_datadir/applnk/Utilities/More/kalarm.desktop %buildroot/%_menudir/kdepim-kalarm

# %%_datadir/applnk/Utilities
kdedesktop2mdkmenu.pl kdepim-kaddressbook Office/AddressBooks %buildroot/%_datadir/applnk/Utilities/kaddressbook.desktop %buildroot/%_menudir/kdepim-kaddressbook
kdedesktop2mdkmenu.pl kdepim-kpilot Office/PDA %buildroot/%_datadir/applnk/Utilities/kpilot.desktop %buildroot/%_menudir/kdepim-kpilot
kdedesktop2mdkmenu.pl kdepim-kpilot Office/PDA %buildroot/%_datadir/applnk/Utilities/kpilotdaemon.desktop %buildroot/%_menudir/kdepim-kpilotdaemon kde
kdedesktop2mdkmenu.pl kdepim-kpilot Office/PDA %buildroot/%_datadir/applnk/Utilities/More/kandy.desktop %buildroot/%_menudir/kdepim-kandy kde
kdedesktop2mdkmenu.pl kdepim-karm "Office/Time management" %buildroot/%_datadir/applnk/Utilities/More/karm.desktop %buildroot/%_menudir/kdepim-karm kde
kdedesktop2mdkmenu.pl kdepim-knotes Office/Accessories/ %buildroot/%_datadir/applnk/Utilities/knotes.desktop %buildroot/%_menudir/kdepim-knotes kde

# %%_datadir/applnk/Settings/System
#kdedesktop2mdkmenu.pl kdepim Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/alarmdaemonctrl.desktop %buildroot/%_menudir/kdepim-alarmdaemonctrl

# David - 2.2-4mdk - To provide an icon to Kandy (see above)
perl -pi -e "s|kandy.png|pda_section.png|" %buildroot/%_menudir/kdepim-kandy
perl -pi -e "s|kandy.png|pda_section.png|" %buildroot/%_datadir/applnk/Utilities/kandy.desktop

# David - 2.2.1-2mdk - Dynamic desktop support - Don't put entry below (in spec)
#                      but use original KDE menu entry or you will desynchronize
#                      translations and arguments
#                      Add it only for Mandrake Linux distribution which support
#                      dynamic desktop entry
install -d -m 0755 %buildroot/%_sysconfdir/dynamic/launchers/visor/
install -m 0644 %buildroot/%_datadir/applnk/Utilities/kpilot.desktop %buildroot/%_sysconfdir/dynamic/launchers/visor/kpilot.desktop



%post common
/sbin/ldconfig 
%update_menus

%postun common
/sbin/ldconfig
%clean_menus

%post -n %lib_name-common -p /sbin/ldconfig

%postun -n %lib_name-common -p /sbin/ldconfig

%post -n %lib_name-korganizer -p /sbin/ldconfig

%postun -n %lib_name-korganizer -p /sbin/ldconfig

%post karm 
%update_menus

%postun karm 
%clean_menus

%post knotes 
%update_menus

%postun knotes 
%clean_menus

%post kaddressbook 
%update_menus

%postun kaddressbook
%clean_menus

%post korganizer 
%update_menus

%postun korganizer
%clean_menus

%post kpilot 
%update_menus
update-alternatives --install %_sysconfdir/dynamic/launchers/visor/kde.desktop visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop 30




%postun kpilot
%clean_menus
if [ $1 = 0 ] ; then
	update-alternatives --remove visor.kde.dynamic %_sysconfdir/dynamic/launchers/visor/kpilot.desktop
fi
		   

%clean
rm -fr %buildroot

%files


%files common
%defattr(-,root,root,-)
#
#
%dir %_datadir/services/
%_datadir/services/kfile_vcf.desktop
#






%files kpilot
%defattr(-,root,root)
%dir %_sysconfdir/dynamic/
%dir %_sysconfdir/dynamic/launchers/
%dir %_sysconfdir/dynamic/launchers/visor/
%config(noreplace) %_sysconfdir/dynamic/launchers/visor/kpilot.desktop


%_libdir/kde3/libaddressconduit.la
%_libdir/kde3/libknotesconduit.so*
%_libdir/kde3/libpopmailconduit.la* 
%_libdir/kde3/libtodoconduit.so*
%_libdir/kde3/libaddressconduit.so* 
%_libdir/kde3/libmalconduit.la*
%_libdir/kde3/libpopmailconduit.so*
%_libdir/kde3/libvcalconduit.la*
%_libdir/kde3/libexpenseconduit.la*
%_libdir/kde3/libmalconduit.so*
%_libdir/kde3/libtimeconduit.la*
%_libdir/kde3/libvcalconduit.so*
%_libdir/kde3/libexpenseconduit.so*
%_libdir/kde3/libnullconduit.la*
%_libdir/kde3/libtimeconduit.so*
%_libdir/kde3/libknotesconduit.la*
%_libdir/kde3/libnullconduit.so*
%_libdir/kde3/libtodoconduit.la*


%dir %_docdir/HTML/en/kandy/
%doc %_docdir/HTML/en/kandy/*.docbook
%doc %_docdir/HTML/en/kandy/common
%doc %_docdir/HTML/en/kandy/*.bz2
#
#
%dir %_docdir/HTML/en/kpilot/
%doc %_docdir/HTML/en/kpilot/common
%doc %_docdir/HTML/en/kpilot/*.docbook
%doc %_docdir/HTML/en/kpilot/*.png
%doc %_docdir/HTML/en/kpilot/*.bz2

#
%_bindir/kandy
%_bindir/kandy_client
%_bindir/kpilot
%_bindir/kpilotDaemon
%_bindir/ksync

%_datadir/applnk/Utilities/More/kandy.desktop
%_datadir/applnk/Utilities/kpilotdaemon.desktop
%_datadir/applnk/Utilities/kpilot.desktop
%_datadir/applnk/Utilities/kandy.desktop


%dir %_datadir/apps/ksync/
%_datadir/apps/ksync/ksyncui.rc

#
%dir %_datadir/apps/kandy/
%_datadir/apps/kandy/*.rc
%_datadir/apps/kandy/*.kandy
#
#
#
%dir %_datadir/apps/kpilot/
%_datadir/apps/kpilot/*.rc
%_datadir/apps/kpilot/*.png
#
%dir %_datadir/apps/kpilot/icons/
%dir %_datadir/apps/kpilot/icons/crystalsvg/
%dir %_datadir/apps/kpilot/icons/crystalsvg/16x16/
%dir %_datadir/apps/kpilot/icons/crystalsvg/16x16/actions/
%_datadir/apps/kpilot/icons/crystalsvg/16x16/actions/*.png
#
%_menudir/kdepim-kandy
%_menudir/kdepim-kpilot
%_menudir/kdepim-kpilotdaemon

%_datadir/servicetypes/kpilotconduit.desktop

%_datadir/services/abbrowser_conduit.desktop  
%_datadir/services/mal_conduit.desktop      
%_datadir/services/time_conduit.desktop
%_datadir/services/expense-conduit.desktop    
%_datadir/services/null-conduit.desktop     
%_datadir/services/todo-conduit.desktop
%_datadir/services/knotes-conduit.desktop     
%_datadir/services/popmail-conduit.desktop  
%_datadir/services/vcal-conduit.desktop

%_iconsdir/crystalsvg/16x16/apps/kpilotDaemon.png
%_iconsdir/crystalsvg/16x16/apps/kpilot.png

%_iconsdir/crystalsvg/22x22/apps/kpilot.png

%_iconsdir/crystalsvg/32x32/apps/kpilot.png
%_iconsdir/crystalsvg/48x48/apps/kpilot.png
%_iconsdir/crystalsvg/48x48/apps/kpilotDaemon.png

%_iconsdir/locolor/16x16/apps/kpilot.png


%files -n %lib_name-kpilot
%defattr(-,root,root)
%_libdir/libkpilot.so.*
%_libdir/libkpilot.la

%files -n %lib_name-kpilot-devel
%defattr(-,root,root)
%dir %_includedir/kpilot/
%_includedir/kpilot/*.h
#
%_libdir/libkpilot.so


%files korganizer
%defattr(-,root,root)


%_bindir/kalarm
%_bindir/kalarmd
%_bindir/konsolekalendar
%_bindir/korgac
%_bindir/korganizer
%_bindir/korganizerIn
%_bindir/ical2vcal

%dir %_datadir/autostart
%_datadir/autostart/kalarm.tray.desktop
%_datadir/autostart/kalarmd.autostart.desktop
%_datadir/autostart/korgac.desktop

%_libdir/kde3/libkorg_birthdays.la  
%_libdir/kde3/libkorg_exchange.la  
%_libdir/kde3/libkorg_projectview.la
%_libdir/kde3/libkorg_birthdays.so  
%_libdir/kde3/libkorg_exchange.so  
%_libdir/kde3/libkorg_projectview.so
%_libdir/kde3/libkorg_datenums.la   
%_libdir/kde3/libkorg_holidays.la  
%_libdir/kde3/libkorg_webexport.la
%_libdir/kde3/libkorg_datenums.so   
%_libdir/kde3/libkorg_holidays.so  
%_libdir/kde3/libkorg_webexport.so


%_datadir/applnk/Utilities/More/kalarm.desktop
%_datadir/applnk/Applications/korganizer.desktop
%_datadir/applnk/Applications/kalarm.desktop

%_datadir/applnk/.hidden/kalarmd.desktop

%dir %_docdir/HTML/en/korganizer/
%doc %_docdir/HTML/en/korganizer/common
%doc %_docdir/HTML/en/korganizer/*.docbook
%doc %_docdir/HTML/en/korganizer/*.png
%doc %_docdir/HTML/en/korganizer/*.bz2

#
%dir %_datadir/apps/korganizer/
%_datadir/apps/korganizer/holiday*
%_datadir/apps/korganizer/*.rc
%_datadir/apps/korganizer/tips
#
%dir %_datadir/apps/korganizer/icons/
%dir %_datadir/apps/korganizer/icons/crystalsvg/
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/
%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/*.png
#
#%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/checkedbox/
#%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/checkedbox/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/emptybox/
%_datadir/apps/korganizer/icons/crystalsvg/22x22/actions/emptybox/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/32x32/
%dir %_datadir/apps/korganizer/icons/crystalsvg/32x32/actions/
%_datadir/apps/korganizer/icons/crystalsvg/32x32/actions/*.png
#
%dir %_datadir/apps/korganizer/icons/crystalsvg/16x16/
%dir %_datadir/apps/korganizer/icons/crystalsvg/16x16/actions/
%_datadir/apps/korganizer/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/korganizer/sounds/
%_datadir/apps/korganizer/sounds/*.wav
#
%dir %_datadir/apps/korganizer/plugins/
%_datadir/apps/korganizer/plugins/*.rc
#

#
#
%dir %_datadir/apps/kgantt/
%dir %_datadir/apps/kgantt/icons/
%dir %_datadir/apps/kgantt/icons/crystalsvg/
%dir %_datadir/apps/kgantt/icons/crystalsvg/16x16/
%dir %_datadir/apps/kgantt/icons/crystalsvg/16x16/actions/
%_datadir/apps/kgantt/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kgantt/icons/crystalsvg/22x22/
%dir %_datadir/apps/kgantt/icons/crystalsvg/22x22/actions/
%_datadir/apps/kgantt/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kgantt/icons/crystalsvg/32x32/
%dir %_datadir/apps/kgantt/icons/crystalsvg/32x32/actions/
%_datadir/apps/kgantt/icons/crystalsvg/32x32/actions/*.png

#
%dir %_docdir/HTML/en/kalarm/
%doc %_docdir/HTML/en/kalarm/*.png
%doc %_docdir/HTML/en/kalarm/*.bz2
%doc %_docdir/HTML/en/kalarm/*.docbook
%doc %_docdir/HTML/en/kalarm/common
#

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kalarmd/
%doc %_docdir/HTML/en/kcontrol/kalarmd/common
%doc %_docdir/HTML/en/kcontrol/kalarmd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kalarmd/*.docbook

%_menudir/kdepim-kalarm
%_menudir/kdepim-korganizer
%dir %_datadir/services/korganizer/
%_datadir/services/korganizer/*.desktop
%dir %_datadir/services/webcal.protocol

%_datadir/servicetypes/calendardecoration.desktop
%_datadir/servicetypes/calendarplugin.desktop
%_datadir/servicetypes/korganizerpart.desktop

%dir %_datadir/apps/kalarm/
%dir %_datadir/apps/kalarm/icons/
%dir %_datadir/apps/kalarm/icons/crystalsvg/
%dir %_datadir/apps/kalarm/icons/crystalsvg/16x16/
%dir %_datadir/apps/kalarm/icons/crystalsvg/16x16/actions/
%_datadir/apps/kalarm/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kalarm/icons/crystalsvg/22x22/
%dir %_datadir/apps/kalarm/icons/crystalsvg/22x22/actions/
%_datadir/apps/kalarm/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kalarmdgui/
%dir %_datadir/apps/kalarmdgui/icons/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/
%dir %_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/actions/
%_datadir/apps/kalarmdgui/icons/crystalsvg/22x22/actions/*.png



%_datadir/applnk/Utilities/More/kalarm.desktop
%_datadir/applnk/.hidden/kalarmd.desktop

%_iconsdir/crystalsvg/16x16/apps/korganizer.png
%_iconsdir/crystalsvg/32x32/apps/korganizer.png
%_iconsdir/crystalsvg/48x48/apps/korganizer.png

%_iconsdir/crystalsvg/16x16/apps/kalarm.png
%_iconsdir/crystalsvg/16x16/actions/kalarm.png

%_iconsdir/crystalsvg/22x22/actions/kalarm.png
%_iconsdir/crystalsvg/32x32/apps/kalarm.png
%_iconsdir/crystalsvg/48x48/apps/kalarm.png

%_iconsdir/locolor/16x16/apps/kalarm.png
%_iconsdir/locolor/32x32/apps/kalarm.png




%files -n %lib_name-korganizer
%defattr(-,root,root)
%_libdir/libknewstuff.la
%_libdir/libknewstuff.so.*
%_libdir/libkorganizer.la
%_libdir/libkorganizer.so.*
%_libdir/libkalarmd.so.*
%_libdir/libkalarmd.la

%files -n %lib_name-korganizer-devel
%defattr(-,root,root)
%_libdir/libknewstuff.so
%_libdir/libkorganizer.so
%_libdir/libkalarmd.so

%_includedir/calendar/*.h
%_includedir/korganizer/*.h

%files kaddressbook
%defattr(-,root,root)
%dir %_docdir/HTML/en/kaddressbook/
%doc %_docdir/HTML/en/kaddressbook/*.bz2
%doc %_docdir/HTML/en/kaddressbook/*.docbook
%doc %_docdir/HTML/en/kaddressbook/common

%_bindir/kaddressbook
%_bindir/kabc2mutt

%_menudir/kdepim-kaddressbook


%_datadir/applnk/Utilities/kaddressbook.desktop


%dir %_datadir/apps/kaddressbook/
%dir %_datadir/apps/kaddressbook/csv-templates/
%_datadir/apps/kaddressbook/csv-templates/*.desktop

%dir %_datadir/apps/kaddressbook/icons/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/16x16/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/16x16/actions/
%_datadir/apps/kaddressbook/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/32x32/
%dir %_datadir/apps/kaddressbook/icons/crystalsvg/32x32/actions/
%_datadir/apps/kaddressbook/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kaddressbook/icons/locolor/
%dir %_datadir/apps/kaddressbook/icons/locolor/16x16/
%dir %_datadir/apps/kaddressbook/icons/locolor/16x16/actions/
%_datadir/apps/kaddressbook/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/kaddressbook/icons/locolor/22x22/
%dir %_datadir/apps/kaddressbook/icons/locolor/22x22/actions/
%_datadir/apps/kaddressbook/icons/locolor/22x22/actions/*.png


%_datadir/apps/kaddressbook/*.rc

%dir %_datadir/apps/kaddressbook/printing/
%_datadir/apps/kaddressbook/printing/*.png

%_libdir/kde3/kfile_vcf.la
%_libdir/kde3/kfile_vcf.so
%_libdir/kde3/libkaddressbookpart.la
%_libdir/kde3/libkaddressbookpart.so

%_iconsdir/crystalsvg/16x16/apps/kaddressbook.png
%_iconsdir/crystalsvg/32x32/apps/kaddressbook.png
%_iconsdir/crystalsvg/48x48/apps/kaddressbook.png



%files knotes
%defattr(-,root,root)
%dir %_docdir/HTML/en/knotes/
%doc %_docdir/HTML/en/knotes/*.docbook
%doc %_docdir/HTML/en/knotes/common
%doc %_docdir/HTML/en/knotes/*.bz2
%dir %_datadir/apps/knotes/
%_datadir/apps/knotes/*.rc
#
%dir %_datadir/apps/knotes/pics/
%_datadir/apps/knotes/pics/*.png
%config(noreplace) %_datadir/config/knotesrc
%_bindir/knotes
%_menudir/kdepim-knotes

%_datadir/applnk/Utilities/knotes.desktop

%_iconsdir/crystalsvg/16x16/apps/knotes.png
%_iconsdir/crystalsvg/32x32/apps/knotes.png
%_iconsdir/crystalsvg/48x48/apps/knotes.png


%files karm
%defattr(-,root,root)
%dir %_docdir/HTML/en/karm/
%doc %_docdir/HTML/en/karm/*.docbook
%doc %_docdir/HTML/en/karm/common
%doc %_docdir/HTML/en/karm/*.bz2
%doc %_docdir/HTML/en/karm/*.png

%_menudir/kdepim-karm
%_bindir/karm

%dir %_datadir/apps/karm/
%_datadir/apps/karm/*.rc
#
%dir %_datadir/apps/karm/pics/
%_datadir/apps/karm/pics/*.xpm

%_datadir/applnk/Utilities/More/karm.desktop
%_datadir/applnk/Utilities/karm.desktop

%_iconsdir/crystalsvg/16x16/apps/karm.png
%_iconsdir/crystalsvg/32x32/apps/karm.png
%_iconsdir/crystalsvg/48x48/apps/karm.png


%files -n %lib_name-common
%defattr(-,root,root)
%_libdir/libkcal.la
%_libdir/libkcalsystem.la
%_libdir/libkdepim.la
%_libdir/libkgantt.la
%_libdir/libkpimexchange.la
%_libdir/libksync.la


%_libdir/libkcal.so.*
%_libdir/libkcalsystem.so.*
%_libdir/libkdepim.so.*
%_libdir/libkgantt.so.*
%_libdir/libkpimexchange.so.*
%_libdir/libksync.so.*




%files -n %lib_name-common-devel
%defattr(-,root,root)
%_includedir/*.h
#
%_libdir/libkcal.so
%_libdir/libkcalsystem.so
%_libdir/libkdepim.so
%_libdir/libkgantt.so
%_libdir/libkpimexchange.so
%_libdir/libksync.so

#
%dir %_includedir/kgantt/
%_includedir/kgantt/*.h
#
#

%dir %_includedir/kdepim/
%_includedir/kdepim/*.h


%changelog
* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-22mdk
- Fix upgrade

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-21mdk
- Fix split

* Fri Sep 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Make Happy gb :)

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- Fix build

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Fix conflict

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Remove requires libqt3

* Fri Aug 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix upload

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix menu entries

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Fix description

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Update code (fix korganizer session managment)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-12mdk
- Fix requires

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Fix again

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Fix %post %unpost

* Tue Aug 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Split again
- Create meta-package
- Add provides

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Split

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Split again

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Split

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix __cputoolize

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Info problem about upgrade on MDK 9.1

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix requires 

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Libification

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Rebuild

* Mon Jul 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Update code
- Use new libmal

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Update code

* Tue Jun 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code 

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Fix build on MDK9.1

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix spec file

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Fix spec file

* Fri Apr 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- Fix #57465: reset date in kdatepicker

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Add buildrequires

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Sync with kde3.1 branch

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- kde3.1.1

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Add patch11 : fix korganizer " Update views on changes of todos directly in the todo list (#43162)." 
"Save state of statusbar (#55380)."
"Update views on changes of todos directly in the todo list (#43162)."

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Add patch10 : fix from kde3.1 branch
"Don't break sorting when changing todos by context menu (#53680)."

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Update code :
=> fix kpilot : fix vcal
=> fix korganizer: "Make cancel button of template selection dialog work (#54852)"
=> fix korganizer: "Don't restrict maximum size of search dialog (#54912)."


* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Update code fix kpilot

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Update code

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Update code ( fix kpilot, kadressbook )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Update code ( fix kpilot)

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code fix kaddressbook

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Fix kalarm

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code (fix kpilot)

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code fix kpilot, kalarm

* Sun Feb 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- update code 

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix kpilot, kaddressbook )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code ( fix kpilot, kaddressbook)

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code : fix kpilot/knotes bugs

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code ( fix kaddressbook, kalarm)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- remove debug

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Add patch10 : fix mem leak in kaddressbook

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Apply Gwenole patch "Make it lib64 aware"

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Add patch9 : fix crash in kaddressbook

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.8mdk
- Rebuild against new glibc

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.7mdk
- Fix compile with libmal0-devel

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.6mdk
- Add patch9 : fix focus, use double-click to edit host

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.5mdk
- Fix buildrequires

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Requires on libmal

* Mon Dec 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch8 : fix disable/enable Ok button in resource dialogbox

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch6 : fix crash when we remove address into kaddressbook
- Add patch7 : fix disable ok button when ldap host is empty

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing file

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reactivate dynamic desktop file 

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix url
- Remove unused patch

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2
- Add patch5 fix compile

* Sat Oct 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Fri Sep 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Fix knotes crash

* Sat Aug 31 2002 David BAUDENS <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix menu (icon)

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add conflict

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-8mdk
- Rebuild 

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2

* Mon Aug 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Update from kde_3_0_branch (a lot of fix for kalarm)

* Sat Aug 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Update from kde_3_0_branch (fix other korganizer + qt-3.0.5 bug )

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Update with kde3_0_branch (fix korganizer + qt3.0.5 )
- Add BuildConflicts: automake1.6

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2
- Add patch2 fix compile on ix64
- Add patch3 fix compile on qt3.0.5

* Wed Jul 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Reactivate debug

* Fri May 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Fix obsolete/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Rebuild

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Add missing menu entry

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.2mdk
- RC2

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.2mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog
- Fix ./configure
- Clean %%files (i.e. respect alphabetic order and make it readable)

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0 try
